### File

`packages/ecl/components/ecl-content-item/ecl-content-item-image.directive.ts`

### Description

Directive used to style and configure the image container (e.g., picture) within a content item. It allows adjusting size, position, and zoom behavior of the image block.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclContentItemPicture]`

### Index

###### Methods
getCssClasses
###### Inputs
hasZoom position size class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

hasZoom
Type : `boolean`
Default value : `false`
If true, enables a zoom effect on hover.

position
Type : `"left" | "right" | "top"`
Default value : `'left'`
Defines the position of the picture relative to the content. Accepted values: 'left' | 'right' | 'top' Default is 'left'.

size
Type : `"small" | "large"`
Default value : `'large'`
Controls the size of the picture. Default is 'large'. Accepted values: 'small' | 'large'

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Computed CSS classes for the host element based on size and position.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Computed CSS classes for the host element based on size and position. Returns : `string`

# results matching ""

# No results matching ""